Subject: [Drip] HHIT term in draft-moskowitz-drip-uas-rid-06.txt

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 17 Sep 2020 15:12:38 +0200

Hi,

The term Hierarchical HIT (HHIT, Hierarchical Host Identity Tag) is used 
extensively in discussions and in this draft-moskowitz-drip-uas-rid-06.txt.

In these discussions, some times it is used to mean an identity (could 
be an arbitrary text, like and FQDN 'foo.uss.aero') and other times it 
is clearly an IP address.

Is HHIT an FQDN? (eg 'foo.uss.aero')

Is HHIT an IP address?

The 'a69e.ad0.1952.a3ad14.8.db.2001.20.10.hhit.arpa.' is a 'PTR RR' 
(Pointer to a Ressource Record).  It is true that, for me, is hard to 
say what is such a text '1.2.3..hhit.arpa' simply in the DNS databases. 
For me, it is the lefthand string of a PTR record.  A PTR record has 
three fields, as of RFC 1035.

The strange text in this I-D is:
 >  An HHIT reverse lookup would be to is:
 >
 >        a69e.ad0.1952.a3ad14.28.14.2001.20.10.hhit.arpa.

Alex

---

From: Robert Moskowitz <[email-masked]>
Date: Thu, 17 Sep 2020 10:22:16 -0400

On 9/17/20 9:12 AM, Alexandre Petrescu wrote:
> Hi,
>
> The term Hierarchical HIT (HHIT, Hierarchical Host Identity Tag) is 
> used extensively in discussions and in this 
> draft-moskowitz-drip-uas-rid-06.txt.
>

a HHIT is a specifically constructed IPv6 address as shown in Appendix B

> Is HHIT an FQDN? (eg 'foo.uss.aero')

HHITs can be directly entered in DNS for HI and other info retrieval as 
sec 4:

UAS ID HHIT in DNS

To my way of reading, this is clearly stating that HHITs are in DNS.  
This section DOES need work and I have requested help in a good way to 
represent HHITs for lookup.

> Is HHIT an IP address?

YES.

> say what is such a text '1.2.3..hhit.arpa' simply in the DNS 
> databases. For me, it is the lefthand string of a PTR record. A PTR 
> record has three fields, as of RFC 1035.

Needs work.  Help requested.

> >        a69e.ad0.1952.a3ad14.28.14.2001.20.10.hhit.arpa.

This is the full HHIT reversed but not in ipv6.arpa but a specific hhit 
hierarchy.  Opinions, better ways, requested.

-- 
Standard Robert Moskowitz

---

From: Robert Moskowitz <[email-masked]>
Date: Thu, 17 Sep 2020 11:03:44 -0400

A HHIT is an IPv6 address from the non-routable IANA IPv6 prefix 
allocation (2001:0::/23)

A RID MUST be 20 bytes or less as defined in ASTM F3411-19 and accepted 
by FAA and EASA.

A DRIP RID MUST be a RID, but need not only be a HHIT.  (Note appendix C 
could be used to construct a 20 byte DRIP RID, encoded as a UUID.)

By adopting HHIT as the DRIP RID we open up follow on DRIP work like 
secure Command and Control between UA and mobile GCS (see 
https://datatracker.ietf.org/doc/draft-moskowitz-drip-secure-nrid-c2/).

On 9/17/20 10:22 AM, Robert Moskowitz wrote:
>> In these discussions, some times it is used to mean an identity 
>> (could be an arbitrary text, like and FQDN 'foo.uss.aero') and other 
>> times it is clearly an IP address.
>
> HHITs can be directly entered in DNS for HI and other info retrieval 
> as sec 4:
>
> UAS ID HHIT in DNS
>
> This is the full HHIT reversed but not in ipv6.arpa but a specific 
> hhit hierarchy.  Opinions, better ways, requested.
>
>>
>> Alex
>>
>
> --

---

From: "Card, Stu" <[email-masked]>
Date: Thu, 17 Sep 2020 13:42:46 -0400

For once, Bob is underselling HHITs. ;-)

By adopting HHITs as the DRIP identifier, we open up more benefits than the
few he mentioned.

More fundamentally: so far, no one has proposed anything else that even
comes close to meeting all the requirements.

On Thu, Sep 17, 2020, 11:04 AM Robert Moskowitz <[email-masked]>
wrote:

> A RID MUST be 20 bytes or less as defined in ASTM F3411-19 and accepted by
> FAA and EASA.
>
> In these discussions, some times it is used to mean an identity (could be
> an arbitrary text, like and FQDN 'foo.uss.aero') and other times it is
> clearly an IP address.
>
>
> To my way of reading, this is clearly stating that HHITs are in DNS.  This
> section DOES need work and I have requested help in a good way to represent
> HHITs for lookup.
>
>
> Is HHIT an IP address?
>
>
> YES.
>
>
> (Pointer to a Ressource Record).  It is true that, for me, is hard to say
> what is such a text '1.2.3..hhit.arpa' simply in the DNS databases. For me,
> it is the lefthand string of a PTR record.  A PTR record has three fields,
> as of RFC 1035.
>
>
> Robert Moskowitz
> Robert Moskowitz
> Tm-rid mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tm-rid
>

---

From: Robert Moskowitz <[email-masked]>
Date: Thu, 17 Sep 2020 13:52:30 -0400

On 9/17/20 1:42 PM, Card, Stu wrote:
> By adopting HHITs as the DRIP identifier, we open up more benefits 
> than the few he mentioned.
>
> More fundamentally: so far, no one has proposed anything else that 
> even comes close to meeting all the requirements.

And in My Highly Biased World View, any other proposal that meets the 
requirements would basically reinvent HHITs.  Maybe a little different, 
but mostly the same.

You have to fit into 20 bytes.  Your proof has to fit into ~200 bytes 
and the fewer, the greater the likelihood of successful 
transmission/receipt.  Proof really should be available in direct 
broadcast without Internet backup (small caching of information allowed).

>
>
> On Thu, Sep 17, 2020, 11:04 AM Robert Moskowitz 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     A RID MUST be 20 bytes or less as defined in ASTM F3411-19 and
>     accepted by FAA and EASA.
>
>     A DRIP RID MUST be a RID, but need not only be a HHIT. (Note
>     appendix C could be used to construct a 20 byte DRIP RID, encoded
>     as a UUID.)
>
>     By adopting HHIT as the DRIP RID we open up follow on DRIP work
>     like secure Command and Control between UA and mobile GCS (see
>>>     The term Hierarchical HIT (HHIT, Hierarchical Host Identity Tag)
>>>     is used extensively in discussions and in this
>>>     (could be an arbitrary text, like and FQDN 'foo.uss.aero
>>>     <http://foo.uss.aero>') and other times it is clearly an IP
>>>     address.
>>
>>>     Is HHIT an FQDN? (eg 'foo.uss.aero <http://foo.uss.aero>')
>>
>>     HHITs can be directly entered in DNS for HI and other info
>>     retrieval as sec 4:
>>
>>     UAS ID HHIT in DNS
>>
>>     To my way of reading, this is clearly stating that HHITs are in
>>     DNS.  This section DOES need work and I have requested help in a
>>     good way to represent HHITs for lookup.
>>
>>>
>>>     Is HHIT an IP address?
>>
>>     YES.
>>
>>>
>>>     The 'a69e.ad0.1952.a3ad14.8.db.2001.20.10.hhit.arpa.' is a 'PTR
>>>     RR' (Pointer to a Ressource Record).  It is true that, for me,
>>>     is hard to say what is such a text '1.2.3..hhit.arpa' simply in
>>>     the DNS databases. For me, it is the lefthand string of a PTR
>>>     record.  A PTR record has three fields, as of RFC 1035.
>>
>>     This is the full HHIT reversed but not in ipv6.arpa but a
>>     specific hhit hierarchy.  Opinions, better ways, requested.
>>
>>>
>>>     Alex
>>>
>>
>>     -- 
>>     Robert Moskowitz
>>
>>
>>
>>
>
>     -- 
>     Robert Moskowitz
>     -- 
>     Tm-rid mailing list
>     [email-masked] <mailto:[email-masked]>

-- 
Standard Robert Moskowitz
Owner
HTT Consulting
C:248-219-2059
F:248-968-2824
E:[email-masked]

There's no limit to what can be accomplished if it doesn't matter who 
gets the credit